Groovy 1.7.0

## groovy.util
Class ObjectGraphBuilder.DefaultNewInstanceResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultNewInstanceResolver

All Implemented Interfaces:
  NewInstanceResolver

    class ObjectGraphBuilder.DefaultNewInstanceResolver

Default impl that calls Class.newInstance()

Constructor Summary
`ObjectGraphBuilder.DefaultNewInstanceResolver()`

Method Summary
`Object` | `newInstance(Class klass, Map attributes)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ObjectGraphBuilder.DefaultNewInstanceResolver

    ObjectGraphBuilder.DefaultNewInstanceResolver()

Method Detail

### newInstance

    public Object newInstance(Class klass, Map attributes)

Copyright © 2003-2009 The Codehaus. All rights reserved.